Package org.apache.sysds.runtime.controlprogram.federated

# Class ExecutionContextMap

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.ExecutionContextMap

public class ExecutionContextMap extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExecutionContextMap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`void`
`convertToSparkCtx()`
`ExecutionContext`
`get(long tid)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ExecutionContextMap

public ExecutionContextMap()

## Method Details

### get

public ExecutionContext get(long tid)

### clear

public void clear()

### convertToSparkCtx

public void convertToSparkCtx()

### toString

public String toString()

Overrides:
  `toString` in class `Object`